UNAME(3)

NAME
uname - get system identification

SYNOPSIS
#include <sys/utsname.h>

int uname (struct utsname *name);

DESCRIPTION
The uname() function stores null-terminated strings of information identifying the current system into the structure referenced by name.

The utsname structure is defined in the <sys/utsname.h> header file, and contains the following members:

    sysname
        Name of the operating system implementation.

    nodename
        Network name of this machine.

    release
        Release level of the operating system.

    version
        Version level of the operating system.

    machine
        Machine hardware platform.

RETURN VALUES
If uname() is successful, 0 is returned, otherwise, -1 is returned and errno is set appropriately.

CAVEATS
The inclusion of the nodename member in the utsname structure does not imply that it is sufficient information for interfacing to communications networks.

STANDARDS
The uname() function conforms to IEEE Std1003.1-1988 (``POSIX'').

HISTORY
The uname() function first appeared in 4.4BSD.

SEE ALSO
uname(1), gethostname(3)